#define PREDVOLBA (65535 - (F_CPU/(256*20)))
#define ADC_REFERENCE_256V		0x03
#define ADC_PRESCALE_DIV128		0x07
// bit mask for A2D channel multiplexer
#define ADC_MUX_MASK			0x1F
// compatibility for new Mega processors
// ADCSR hack apparently no longer necessary in new AVR-GCC
#ifdef ADCSRA
#ifndef ADCSR
	#define ADCSR	ADCSRA
#endif
#endif
#ifdef ADATE
	#define ADFR	ADATE
#endif
// do not change the mask value
#define ADC_REFERENCE_MASK		0xC0
// do not change the mask value
#define ADC_PRESCALE_MASK		0x07
#define ADC_REFERENCE_AVCC		0x01	///< 0x01 -> AVCC pin, internal VREF turned off



#define LED5 6	//ta uplne spodni
#define LED4 7
#define LED3 5
#define LED2 4
#define LED1 3		

#define PISKAC 1

#define LIZA 0
#define INDIK 1

#define CTI 0
#define PIS 1

#define ENABLED 1
#define DISABLED 0

#define HLAD 0
#define NAP 1 //rezimy pro ledky prepinane tlacitkem

#define MINIM 1
#define NORM 0

#define ROZNI 1
#define ZHASNI 0

unsigned long UrovenHladiny[7] = {320001, 320000, 300000, 280000, 260000, 240000};
unsigned char Nicd [][6] = {{42, 45, 48, 51, 54},{52, 55, 59, 63, 67},{63, 66, 71, 76, 81},
{50, 58, 66, 74, 82},{75, 87, 99, 111, 123}};	//nad 5.5V asi nema cenu indikovat
unsigned long Konst[6];		//konstanty

void VypocetU(void);
void VypocetI(unsigned long Prpr);
void XDX_print (long int CoTisknout, unsigned char Pred, unsigned char Po);
void MerVeliciny (void);
void RozsvitLED (void);
void ZhasniLED(void);
void SmazniLed(unsigned char Jak);
void uartSendByte (unsigned char DataUart);
unsigned char Eeprom (unsigned int Adr, unsigned char EData, unsigned char Akce);
void EepromIntPis(unsigned int KamPsat, unsigned int IntData);
unsigned int EepromIntCti(unsigned int OdkudCist);
void VyctiData (void);
void Vyhodnoceni(void);

unsigned char p,n;


unsigned int Napeti[6];
unsigned int buf[6][33];
unsigned long NapetiClanek[6];		//napeti na clanek
unsigned long MinNapetiClanek[6];
unsigned int Vref;		//hodnota Vref, musi se obcas kalibrovat
unsigned char RealnyKanal[6] = {2, 1, 7, 6, 4};

unsigned char Hladina;		//nejnizsi hladina
unsigned char KteryClanek[6];	//ktere napeti tam padlo
unsigned char Rezim = HLAD;
unsigned char Led[6];
unsigned char Sviti, Blikani;
unsigned char HladinaAlarm;
//unsigned char Nastavovani = 0;
//unsigned char UlozPam = 0;
unsigned char PlatneTlacitko;
unsigned int Tick2;
unsigned char PlatnychClanku;
unsigned char Mod;
unsigned char  Zmena = 0;
unsigned char RezimB = 0;
//unsigned char PiskacObslouzen;
unsigned int MinNap, AdresaM;
unsigned char Count, Count2;
unsigned char ZaznamPovolen;
unsigned char xdx;
unsigned char UdelejMinima;
unsigned char pointer, chan, channel;
